Package fr.gouv.vitam.metadata.api.model

# Class ReconstructionRequestItem

java.lang.Object
fr.gouv.vitam.metadata.api.model.ReconstructionRequestItem

public class ReconstructionRequestItem extends Object
Description of reconstruction request item model.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReconstructionRequestItem()`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCollection()`
  Get the collection of the profile
  `int`
  `getLimit()`
  Get the limit
  `Integer`
  `getTenant()`
  Get tenant
  `ReconstructionRequestItem`
  `setCollection(String collection)`
  Set the collection of the profile This value must be unique by tenant
  `ReconstructionRequestItem`
  `setLimit(int limit)`
  Set the limit
  `ReconstructionRequestItem`
  `setTenant(Integer tenant)`
  Set or change tenant

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReconstructionRequestItem

    public ReconstructionRequestItem()
    Constructor.

- ## Method Details

  - ### getCollection

    public String getCollection()
    Get the collection of the profile
    Returns:
      collection as String

  - ### setCollection

    public ReconstructionRequestItem setCollection(String collection)
    Set the collection of the profile This value must be unique by tenant
    Parameters:
      `collection` - as String
    Returns:
      this

  - ### getTenant

    public Integer getTenant()
    Get tenant
    Returns:
      tenant

  - ### setTenant

    public ReconstructionRequestItem setTenant(Integer tenant)
    Set or change tenant
    Parameters:
      `tenant` -
    Returns:
      this

  - ### getLimit

    public int getLimit()
    Get the limit
    Returns:
      the limit

  - ### setLimit

    public ReconstructionRequestItem setLimit(int limit)
    Set the limit
    Parameters:
      `limit` - the limit to set
    Returns:
      this